I'm not able to upgrade

Keywords: Discourse - Google Cloud Platform - Technical issue - Upgrade
bnsupport ID: abeab160-518a-5ca5-3382-e57c01f2da81
Description:
I’ve tried to follow the guidelines here
https://docs.bitnami.com/general/apps/discourse/administration/upgrade/

and after 1st line … the result was

pg_dump.bin: error: connection to database “bitnami_discourse” failed: FATAL: password authentication failed for u
ser “postgres”

kindly review and advise.

regards,

Hi @gturkistani,

I see many services not running on your server. Can you start them?


-----------------------------------
Get the ctlscript status
-----------------------------------
Running: ./ctlscript.sh status
In: /opt/bitnami

Output:

php-fpm not running
apache not running
discourse_sidekiq not running
redis not running
postgresql already running

Please run the next command

sudo /opt/bitnami/ctlscript.sh start

Apart from that, note the error message you are getting means that you are using a wrong database password. You need to use the password present in the /home/bitnami/bitnami_credentials file.

Hi @gongomgra

Ok. I’ve done that and follow again the guidelines till step of Restore the uploaded files in the new server:

which I should type (( tar -xzvf uploads.tar.gz -C / ))

check the result and advice


thank you

Hi @gturkistani,

You will need to run the command from the same directory where the uploads.tar.gz file is present. It also looks like you are deploying the PostgreSQL database backup in the same server, is that your case? Note you don’t need that step to upgrade Discourse, you just need to create the backup to restore it in case anything fails.

Another alternative to upgrade Discourse can be to launch a fresh new server with the updated Discourse version and then migrate the database and the application data to the new instance

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.